Update Group Targets

PUT /internal/admin/comms/v1/group/target/{groupId}

Operation id: put__internal_admin_comms_v1_group_target_groupId_

Description

NOTE: 'admin' and 'subscribe' fields, if not passed, will default to false.

Tags: User Groups

Parameters

Path parameters

NameTypeRequiredDescription
groupIdintegerYesGroup ID

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — Successfully updated group targets

Content type: application/json

400 — Invalid request parameters

Content type: application/json

401 — Unauthorized request

Content type: application/json

403 — User does not have permission to update the group targets

Content type: application/json

404 — Group not found

Content type: application/json

500 — Server error while processing request

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
targetsarrayNo
{
  "type": "object",
  "properties": {
    "targets": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "is_admin": {
            "type": "boolean"
          },
          "subscribe": {
            "type": "boolean"
          },
          "user_login": {
            "type": "string"
          }
        }
      }
    }
  }
}

Response models

200 — Successfully updated group targets

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

400 — Invalid request parameters

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

401 — Unauthorized request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

403 — User does not have permission to update the group targets

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

404 — Group not found

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

500 — Server error while processing request

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}